require('dotenv').config()
const assert = require('assert')
const _ = require('lodash')
const Faker = require('faker')
const process = require('process')
const path = require('path')
const target = process.env.NODE_ENV === 'production' ? 'dist' : 'libs'
const ServerHandler = require(path.resolve(target, 'index.js'))

/**
 *
 */
describe('TEST ServerHandler', () => {
  it('GREEN: CASE1', done => {
    ServerHandler.onListening().then(result => {
      assert.strictEqual(_.isEmpty(result), true)
      done()
    })
  })
  it('GREEN: CASE2', done => {
    const err = new TypeError(Faker.random.word())
    Object.defineProperty(err, 'code', {
      value: 'INVALID',
      writable: false
    })
    // this test is working but need to send many sms and email and need to pay fee
    // ServerHandler.onError(err).then(result => {
    //   assert.strictEqual(_.isEmpty(result), true)
    //   done()
    // })
    done()
  })
  it('GREEN: CASE3', done => {
    const err = new TypeError(Faker.random.word())
    Object.defineProperty(err, 'syscall', {
      value: 'INVALID',
      writable: false
    })
    // this test is working but need to send many sms and email and need to pay fee
    // ServerHandler.onError(err).then(result => {
    //   assert.strictEqual(_.isEmpty(result), true)
    //   done()
    // })
    done()
  })
})
